Bug 1573510 - [upstream][v2v] Elapsed Time issues
Summary: [upstream][v2v] Elapsed Time issues
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Brett Thurber
QA Contact: Kedar Kulkarni
URL:
Whiteboard: v2v
Depends On:
Blocks: 1588580
TreeView+ depends on / blocked
 
Reported: 2018-05-01 14:55 UTC by Kedar Kulkarni
Modified: 2019-02-11 14:01 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1588580 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:01:20 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
ScreenGIF (508.15 KB, image/gif)
2018-05-01 14:55 UTC, Kedar Kulkarni
no flags Details
ScreenGIF1 (890.67 KB, image/gif)
2018-05-01 14:59 UTC, Kedar Kulkarni
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github https://github.com/ManageIQ miq_v2v_ui_plugin issues 311 0 None None None 2018-05-24 16:19:00 UTC

Description Kedar Kulkarni 2018-05-01 14:55:08 UTC
Created attachment 1429211 [details]
ScreenGIF

Description of problem:

There are two issues:
1) Migration time elapsed on Migration screen is incorrect. It is less than the actual time, in my case, it shows  15 sec for migration that took more than 10 mins.
2) Migration time elapsed on Migration Details Page never stops, timer goes on post migration.

Version-Release number of selected component (if applicable):
master.20180430231107_6437e92

How reproducible:
100%

Steps to Reproduce:
1.Create migration plan
2.Execute Migration Plan
3.Check the time elapsed on migration screen and then click on migration plan to see its details 

Actual results:
See GIF attached

Expected results:
1) Migration time should be correct on migration Screen
2) Migration time should be correct on migration details screen, timer should stop when migration completes.

Additional info:

Comment 2 Kedar Kulkarni 2018-05-01 14:59:08 UTC
Created attachment 1429212 [details]
ScreenGIF1

Ignore ScreenGIF, ScreenGIF1 is correct attachment.

Comment 3 Sudhir Mallamprabhakara 2018-05-15 18:41:40 UTC
https://github.com/priley86/miq_v2v_ui_plugin/issues/272

Comment 4 Kedar Kulkarni 2018-05-16 00:47:48 UTC
This is not entirely fixed. 

There were two issues:
NOT FIXED: 1) Migration time elapsed on Migration screen is incorrect. It is less than the actual time, in my case, it shows  15 sec for migration that took more than 10 mins.

FIXED: 2) Migration time elapsed on Migration Details Page never stops, timer goes on post migration.

Comment 5 Kedar Kulkarni 2018-05-16 00:48:56 UTC
Updated the same with a GitHub Issue: https://github.com/priley86/miq_v2v_ui_plugin/issues/312

Comment 9 Kedar Kulkarni 2018-06-04 13:41:41 UTC
Yes, I see all issues with this being fixed. I validated this on 24th May Master Nightly MIQ Build.

Comment 12 Kedar Kulkarni 2018-07-03 13:04:28 UTC
On 5.10.0.2, session timeout correctly logged me out and showed me CFME login screen.


Note You need to log in before you can comment on or make changes to this bug.